/* 1. Implementieren Sie ein Programm für die Arbeit mit Matrizen (Elemente vom
Typ float), das folgende Funktionen enthält und testet:
*1* matein, um die Werte der Elemente einer Matrix vom Format (m,n) einzulesen,
*3* mataus, um die Elemente einer Matrix vom Format (m,n) auszugeben,
*6* malzahl, um eine Matrix mit einer Zahl zu multiplizieren,
-----------------------------------------------------------------------------*/
#include <stdlib.h>
#define mn 10
void matein(int z, int s, float matrix[][mn])
{  int i, j;
   printf("\n Elemente der Matrix [%i][%i] eingeben: \n", z, s);
   for( i=0; i<z; i++)     for( j=0; j<s; j++) scanf("%f", &matrix[i][j]);
}
void mataus(int z, int s, float matrix[][mn])
{ int i, j;       printf("\n");
  for( i=0; i<z; i++)
  {   for( j=0; j<s; j++) printf("%10.4f", matrix[i][j]);
      printf("\n");
  }
}
void malzahl( int z, int s, float matrix[][mn], float zahl)
{ int i, j;   for( i=0; i<z; i++)      for( j=0; j<s; j++) matrix[i][j]*=zahl;
}
int main()
{  float a[mn][mn];           int z=2, s=3;    float faktor=10;
   matein( z, s, a);                 mataus( z, s, a);
   printf("\n\nFaktor= %f\n\n",faktor);
   malzahl( z, s, a, faktor);        mataus( z, s, a);

   printf("\n"); system("PAUSE"); return 0;
}
